%define ttfdir %_datadir/fonts/default/TrueType-armenian

Name: armenian-fonts-ttf
Version: 1.1
Release: alt6

Summary: Free Armenian TrueType fonts
Summary (ru_RU.UTF-8): Армянские TrueType шрифты
License: Distributable
Group: System/Fonts/True type
Url: http://www.freenet.am/armnls/
Source: fonts-ttf-armenian-%version.tar.bz2
BuildArch: noarch
BuildRequires: freetype
PreReq: chkfontpath fontconfig

%description
This Package provides free Armenian TrueType fonts.

%description -l ru_RU.UTF-8
В пакете находятся армянские TrueType шрифты.

%prep
%setup -q -n fonts-ttf-armenian-%version

%install
mkdir -p $RPM_BUILD_ROOT%ttfdir
install -p -m644 *.ttf $RPM_BUILD_ROOT%ttfdir
cd $RPM_BUILD_ROOT%ttfdir
%_sbindir/ttmkfdir -o ./fonts.dir >& /dev/null
touch fonts.cache-1

%post
%_bindir/fc-cache %ttfdir ||:
%_sbindir/chkfontpath -q --add %ttfdir ||:

%postun
if [ "$1" = "0" ]; then
        %_sbindir/chkfontpath -q --remove %ttfdir ||:
fi

%triggerpostun -- %name < 1.1-alt4
%_sbindir/chkfontpath -q --add %ttfdir ||:

%files
%ttfdir

%changelog
* Mon Jul 11 2005 Vyacheslav Dikonov <slava@altlinux.ru> 1.1-alt6
- link to encodings.dir removed, no longer requires freetype

* Thu Dec 16 2004 Vyacheslav Dikonov <slava@altlinux.ru> 1.1-alt5
- link to encodings.dir fixed

* Wed Feb 18 2004 Vyacheslav Dikonov <slava@altlinux.ru> 1.1-alt4
- %postun script fix

* Mon Sep 01 2003 Vyacheslav Dikonov <slava@altlinux.ru> 1.1-alt3
- Changed dir
- Cleanups

* Tue Jan 21 2003 Rider <rider@altlinux.ru> 1.1-alt2
- build requires fix (freetype)

* Wed Nov 27 2002 Vyacheslav Dikonov <slava@altlinux.ru> 1.1-alt1
- ALTLinux build
